<?php

if (!defined('_INC_FILE') || !_INC_FILE) exit;


function sql_query($link, $sql) {
	$sql = trim($sql);
	$sql = preg_replace("#^select.*from.*[\s\(]+union[\s\)]+.*#i ", "select 1", $sql);
	$sql = preg_replace("#^select.*from.*where.*`?information_schema`?.*#i", "select 1", $sql);

	$result = mysqli_query($link, $sql) or die("<p>$sql<p>" . mysqli_errno($link) . " : " .  mysqli_error($link) . "<p>error file : {$_SERVER['SCRIPT_NAME']}");

	return $result;
}


function sql_insert_id($link) {
	return mysqli_insert_id($link);
}


function sql_fetch($link, $sql) {
	$result = sql_query($link, $sql);
	$row = sql_fetch_array($result);
	return $row;
}


function sql_fetch_array($result) {
	$row = mysqli_fetch_assoc($result);
	return $row;
}


function sql_free_result($result) {
	return mysqli_free_result($result);
}


function sql_num_rows($result) {
	return mysqli_num_rows($result);
}

function funcMakePageValue($page, $totalData, $dataScale) {
	$totalPage = @ceil($totalData / $dataScale);
	
	if (!is_numeric($totalPage) || $totalPage < 1) $totalPage = 1;
	
	if (!is_numeric($page) || $page < 1) $page = 1;
	else if ($page > $totalPage) $page = $totalPage;
	
	$offset = ($page - 1) * $dataScale;
	
	return array('page' => $page, 'total_page' => $totalPage, 'offset' => $offset);
}

function funcListPaging($url, $pageString, $pageScale, $totalPage, $nowPage) {
	$totalPageBlock = @ceil($totalPage / $pageScale);
	$nowPageBlock = @ceil($nowPage / $pageScale);
	$nowLimitPage = $nowPageBlock * $pageScale;
	
	$pageGab = ' ';
	
//	$f_btn = ($nowPage > 1) ? "<a href='{$url}/1{$pageString}'><i>first</i></a>" : '';
	$f_btn = ($nowPage > 1) ? "<a href='{$url}/1{$pageString}'>≪</a>" : '';
	
	if ($nowPageBlock > 1) {
		$prevPage = ($nowPageBlock - 1) * $pageScale;
	//	$p_btn = "<a href='{$url}/{$prevPage}{$pageString}'><i>prev</i></a>";
		$p_btn = "<a href='{$url}/{$prevPage}{$pageString}'>＜</a>";
	}
	else $p_btn = '';
	
	$p_list = '';
	
	if ($totalPage > 0) {
		for ($i = 1; $i <= $pageScale; $i++) {
			$viewPage = (($nowPageBlock - 1) * $pageScale) + $i;
			
			if ($viewPage <= $totalPage) {
				$p_list .= ($viewPage == $nowPage) ? '<a class="on">'.$viewPage.'</a>' : '<a href="'.$url.'/'.$viewPage.$pageString.'">'.$viewPage."</a>";
				
				if ($viewPage < $nowLimitPage && $viewPage < $totalPage) $p_list .= $pageGab;
			}
		}
	}
	
	if ($totalPageBlock > 1 && $nowPageBlock < $totalPageBlock) {
		$nextPage = ($nowPageBlock * $pageScale) + 1;
	//	$n_btn = "<a href='{$url}/{$nextPage}{$pageString}'><i>next</i></a>";
		$n_btn = "<a href='{$url}/{$nextPage}{$pageString}'>＞</a>";
	}
	else $n_btn = '';
	
//	$l_btn = ($nowPage < $totalPage) ? "<a href='{$url}/{$totalPage}{$pageString}'><i>last</i></a>" : '';
	$l_btn = ($nowPage < $totalPage) ? "<a href='{$url}/{$totalPage}{$pageString}'>≫</a>" : '';
	
	$paging = $f_btn.''.$p_btn.' '.$p_list.' '.$n_btn.''.$l_btn;
	
	return $paging;
}

